function [] = saveGIF(matrix,w0,f,g,lab,savename,dir)
%input: matrix from varyespi, w0 array, f array, g array
%title label ('string'), gif save name ('string'), and direction of varying array
%(1 = varying g, 2 = varying f, 3 = varying w0)

figure(1)
%w0=linspace(100,15000,299);
%g=linspace(.1,1,10);
%f=linspace(1,10,10);

filename=strcat(savename,'.gif');
mx=max(max(max(matrix)));
mn=min(min(min(matrix)));
if dir==1;
    for n = 1:length(g)
          imagesc(w0,f,matrix(:,:,n)')
          xlabel('\omega_{0} [cm^{-1}]');
          ylabel('f');
          title(strcat(lab,' g=',num2str(g(n))));
          colorbar();
          caxis([mn,mx]);
          h = colorbar; ylabel(h, 'Heat Transfer [W/m^{2}]');
          axis xy;
          drawnow      
          frame = getframe(1);      
          im = frame2im(frame);      
          [imind,cm] = rgb2ind(im,256);      
            if n == 1;          
                imwrite(imind,cm,filename,'gif', 'Loopcount',inf);      
            else
                imwrite(imind,cm,filename,'gif','WriteMode','append');      
            end
    end
elseif dir==2;
    for n = 1:length(f)
      imagesc(w0,g,squeeze(matrix(:,n,:))')
      xlabel('\omega_{0} [cm^{-1}]');
      ylabel('g');
      title(strcat(lab,' f=',num2str(f(n))));
      colorbar();
      caxis([mn,mx]);
      h = colorbar; ylabel(h, 'Heat Transfer [W/m^{2}]');
      axis xy;
      drawnow      
      frame = getframe(1);      
      im = frame2im(frame);      
      [imind,cm] = rgb2ind(im,256);      
        if n == 1;          
            imwrite(imind,cm,filename,'gif', 'Loopcount',inf);      
        else
            imwrite(imind,cm,filename,'gif','WriteMode','append');      
        end
    end
elseif dir==3;
    for n = 1:length(w0)
      imagesc(f,g,squeeze(matrix(n,:,:)))
      xlabel('f');
      ylabel('g');
      title(strcat(lab,' \omega_{0}=',num2str(w0(n)),'cm^{-1}'));
      colorbar();
      caxis([mn,mx]);
      h = colorbar; ylabel(h, 'Heat Transfer [W/m^{2}]');
      axis xy;
      drawnow      
      frame = getframe(1);      
      im = frame2im(frame);      
      [imind,cm] = rgb2ind(im,256);      
        if n == 1;          
            imwrite(imind,cm,filename,'gif', 'Loopcount',inf);      
        else
            imwrite(imind,cm,filename,'gif','WriteMode','append');      
        end
    end
else
    'not a good direction'
end