function [matrix] = varyepsi()
%input: n/a
%output: multidimentional matrix of heat transfer values for varying
%resonance frequency, f, g, core permittivity 
%for a particular distance, hot temp, and cold temp.
%will also save a .mat file containing the matrix, w0 array, f array, 
%g array, ec array, distance, hot Temp, and cold Temp.

%editable variables
d=1E-6;
Th=70;
Tc=30;

w0=linspace(50,15000,300);
%w0=linspace(100,1000,19);

f=linspace(1,10,10);
%f=linspace(1,10,19);

g=linspace(.1,1,10);
%g=linspace(.05,.2,4);
%g=.5;

ec=1;%linspace(1,10,10);

tic
for x=1:length(w0)
   for y=1:length(f)
       for z=1:length(g)
           [D,Dsum]=LorentzModel(Th,Tc,d,w0(x),f(y),g(z),ec); 
           matrix(x,y,z)=Dsum;      
       end
   end
end
toc

save epsi.mat matrix w0 f g ec d Th Tc;

%imagesc();